Name:             fusesource-pom
Version:          1.9
Release:          %mkrel 5
Summary:          Parent POM for FuseSource Maven projects
Group:            Development/Java
License:          ASL 2.0
URL:              http://fusesource.com/
Source0:          http://repo1.maven.org/maven2/org/fusesource/fusesource-pom/%{version}/fusesource-pom-%{version}.pom
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java
BuildRequires:    maven-local
BuildRequires:    maven-install-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin

Requires:         maven
Requires:         java
Requires:         jpackage-utils

%description
This is a shared POM parent for FuseSource Maven projects

%prep
cp %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%pom_remove_plugin :clirr-maven-plugin

# WebDAV wagon is not available in Fedora.
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"

%build
mvn-rpmbuild install

%install
# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom

%files
%doc LICENSE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}


%changelog
* Thu Dec 19 2013 dmorgan <dmorgan> 1.9-5.mga4
+ Revision: 558781
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.9-3.mga4
+ Revision: 453827
- Remove wagon-webdav-jackrabbit from POM

* Fri Jan 11 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 350998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.9-1.mga3
+ Revision: 325670
- New version

* Tue Sep 18 2012 dmorgan <dmorgan> 1.5-5.mga3
+ Revision: 295975
- Get rid of clirr-maven-plugin by macro

* Thu Sep 13 2012 dmorgan <dmorgan> 1.5-3.mga3
+ Revision: 293326
- Clean spec file

* Thu Dec 29 2011 gil <gil> 1.5-2.mga2
+ Revision: 188537
- changed R on plexus maven-plugin to component-metadata
  applied patch2

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 127104
- Fix group

  + gil <gil>
    - imported package fusesource-pom

